Contenu | Rechercher | Menus

Annonce

La nouvelle clé USB Ubuntu-fr est en prévente
Rendez-vous sur la boutique En Vente Libre

Si vous avez des soucis pour rester connecté, déconnectez-vous puis reconnectez-vous depuis ce lien en cochant la case
Me connecter automatiquement lors de mes prochaines visites.

À propos de l'équipe du forum.

#1 Le 17/08/2019, à 12:37

bipbip38

linux/usb-wwan.h manquant ?!?

Bonjour,

J'ai installer Ubuntu Mate sur un raspberry pi3B+.
J'essaie de connecter la carte 4G WaveShare SIM7600E.

Dans la procédure, il me demande de faire une commande "make"... il manquait déjà plein de chose notamment les "linux-headers"... mais maintenant ça me retourne que le fichier ou le dossier "linux/usb-wwan.h" est manquant !

Je n'arrive pas a trouver de solution simple pour rajouter ce fichier, sauf à télécharger le kernel d'une version complète de linux et de recompiler tout le noyau! Sur un RPI, il ne va pas falloir être pressé et et ça alourdi tout. Le contraire de ce que je recherche.

Avez vous une idée ?

Merci par avance.

Dernière modification par bipbip38 (Le 19/09/2019, à 22:08)

Hors ligne

#2 Le 26/08/2019, à 11:59

bipbip38

Re : linux/usb-wwan.h manquant ?!?

Bonjour,

J'essaie désespéramment de connecter ma carte WAVESHARE SIM7600E-H à mon UBUNTU MATE RPI, sans succès.

J'ai installer le DKMS  GobiSerial, comme indiqué sur GITHUB.

La carte n'est visiblement pas reconnu.

Je suis débutant sur ubuntu et un petit pas à pas dans la procédure serait d'un grand secours. Car là, je tape des commandes sans vraiment en comprendre la finalité et je suis donc incapable de faire un diagnostique sur ce qui ne fonctionne pas et donc de trouver une solution.

Merci par avance à la communauté UBUNTU.

Hors ligne

#3 Le 26/08/2019, à 12:02

xubu1957

Re : linux/usb-wwan.h manquant ?!?

Bonjour,

Rien d'utile dans la Doc > telephone_modem ?

_ _ _

C'est plus maintenu >   github.com/casastorta/gobiserial/issues/8#issuecomment-373913594

Le 17/03/2018, ivuk a écrit :

Salut,

désolé pour la réponse tardive, ni @casastorta ni moi-même n’avons plus de matériel GobiSerial. J'ai engagé 627ce97 , ce qui, j'espère , résoudra votre problème. Essayez-le, si vous pouvez trouver le temps, et voyez si cela vous aide.

Dernière modification par xubu1957 (Le 26/08/2019, à 12:35)


Important : Pensez à passer vos sujets en [Résolu] lorsque ceux-ci le sont, au début du titre en cliquant sur Modifier sous le premier message, et un bref récapitulatif de la solution à la fin de celui-ci. Merci.

Xubuntu 18.04.1 LTS - Lenovo T410 -Toshiba Satellite A300  Membre de Linux-Azur

En ligne

#4 Le 26/08/2019, à 22:32

Vobul

Re : linux/usb-wwan.h manquant ?!?

"Dans la procédure"… Quelle procédure ? Que donne "dmesg" quand tu branches la clé ? Quelle version de linux tu as ? (uname -r)


Vobul

Hors ligne

#5 Le 27/08/2019, à 03:12

cqfd93

Re : linux/usb-wwan.h manquant ?!?

Modération : merci de respecter les règles du forum : les doublons sont interdits. On fusionne les deux sujets.


cqfd93

En ligne

#6 Le 12/09/2019, à 16:23

bipbip38

Re : linux/usb-wwan.h manquant ?!?

Bonjour,

Réponse groupé à tous. Et merci pour vos retour.

@xubu1957 :
Avant d'en arriver à NETwork Manager, il faudrait déjà que je puisse établir le lien (installation drivers) entre la carte et le raspberry pi3b+.
C'est là que ca pose problème avec "Ubuntu mate pi" car visiblement l'installation du driver GobiSerial ne se passe pas bien!
Je ne suis pas très au fait sur Ubuntu ni même sur linux... Et cette tâche largement en dehors de mes compétences me semble insurmontable, malgré des jours et des jours de recherhe sur internet sad(

@Vobul :
La procédure donné par le fabriquant (waveshare) https://www.waveshare.com/wiki/File:SIM7X00-Driver.7z et donné par le déposit github https://github.com/casastorta/gobiserial
Il ne s'agit pas d'une clé, mais d'un HAT pour raspberry, donc une connexion par GPIO (port série).

Une connexion par USB n'est pas possible dans mon projet. Sinon j'aurais acheté une clé huawei, bien moins chère, et dont les forums regorges d'informations et d'assistance au paramétrage.
Pour info, si je connecte la carte HAT par la connexion USB, aucun ajout de driver n'est nécessaire, ceux de Ubuntu Mate PI sont suffisants (configuration de la broadcom avec le bon fournisseur et le bon apn et le code pin, tout ça bien préparé par les équipes de Ubuntu, et tout ce passe à merveille).

@cqfd93 :
Désolé j'ai posté avec deux ordi différents et je ne me rappelait plus que j'avais déjà posté ici. En mes excuses et merci pour le regroupement des sujets.

pi@raspberry:~$ uname -r
4.15.0-1045-raspi2
pi@raspberry:~$ ls -l /dev/tty*
crw-rw-rw- 1 root tty       5,  0 sept. 12 15:31 /dev/tty
crw--w---- 1 root tty       4,  0 janv. 28  2018 /dev/tty0
crw--w---- 1 root tty       4,  1 sept. 12 15:15 /dev/tty1
crw--w---- 1 root tty       4, 10 janv. 28  2018 /dev/tty10
crw--w---- 1 root tty       4, 11 janv. 28  2018 /dev/tty11
crw--w---- 1 root tty       4, 12 janv. 28  2018 /dev/tty12
crw--w---- 1 root tty       4, 13 janv. 28  2018 /dev/tty13
crw--w---- 1 root tty       4, 14 janv. 28  2018 /dev/tty14
crw--w---- 1 root tty       4, 15 janv. 28  2018 /dev/tty15
crw--w---- 1 root tty       4, 16 janv. 28  2018 /dev/tty16
crw--w---- 1 root tty       4, 17 janv. 28  2018 /dev/tty17
crw--w---- 1 root tty       4, 18 janv. 28  2018 /dev/tty18
crw--w---- 1 root tty       4, 19 janv. 28  2018 /dev/tty19
crw--w---- 1 root tty       4,  2 janv. 28  2018 /dev/tty2
crw--w---- 1 root tty       4, 20 janv. 28  2018 /dev/tty20
crw--w---- 1 root tty       4, 21 janv. 28  2018 /dev/tty21
crw--w---- 1 root tty       4, 22 janv. 28  2018 /dev/tty22
crw--w---- 1 root tty       4, 23 janv. 28  2018 /dev/tty23
crw--w---- 1 root tty       4, 24 janv. 28  2018 /dev/tty24
crw--w---- 1 root tty       4, 25 janv. 28  2018 /dev/tty25
crw--w---- 1 root tty       4, 26 janv. 28  2018 /dev/tty26
crw--w---- 1 root tty       4, 27 janv. 28  2018 /dev/tty27
crw--w---- 1 root tty       4, 28 janv. 28  2018 /dev/tty28
crw--w---- 1 root tty       4, 29 janv. 28  2018 /dev/tty29
crw--w---- 1 root tty       4,  3 janv. 28  2018 /dev/tty3
crw--w---- 1 root tty       4, 30 janv. 28  2018 /dev/tty30
crw--w---- 1 root tty       4, 31 janv. 28  2018 /dev/tty31
crw--w---- 1 root tty       4, 32 janv. 28  2018 /dev/tty32
crw--w---- 1 root tty       4, 33 janv. 28  2018 /dev/tty33
crw--w---- 1 root tty       4, 34 janv. 28  2018 /dev/tty34
crw--w---- 1 root tty       4, 35 janv. 28  2018 /dev/tty35
crw--w---- 1 root tty       4, 36 janv. 28  2018 /dev/tty36
crw--w---- 1 root tty       4, 37 janv. 28  2018 /dev/tty37
crw--w---- 1 root tty       4, 38 janv. 28  2018 /dev/tty38
crw--w---- 1 root tty       4, 39 janv. 28  2018 /dev/tty39
crw--w---- 1 root tty       4,  4 janv. 28  2018 /dev/tty4
crw--w---- 1 root tty       4, 40 janv. 28  2018 /dev/tty40
crw--w---- 1 root tty       4, 41 janv. 28  2018 /dev/tty41
crw--w---- 1 root tty       4, 42 janv. 28  2018 /dev/tty42
crw--w---- 1 root tty       4, 43 janv. 28  2018 /dev/tty43
crw--w---- 1 root tty       4, 44 janv. 28  2018 /dev/tty44
crw--w---- 1 root tty       4, 45 janv. 28  2018 /dev/tty45
crw--w---- 1 root tty       4, 46 janv. 28  2018 /dev/tty46
crw--w---- 1 root tty       4, 47 janv. 28  2018 /dev/tty47
crw--w---- 1 root tty       4, 48 janv. 28  2018 /dev/tty48
crw--w---- 1 root tty       4, 49 janv. 28  2018 /dev/tty49
crw--w---- 1 root tty       4,  5 janv. 28  2018 /dev/tty5
crw--w---- 1 root tty       4, 50 janv. 28  2018 /dev/tty50
crw--w---- 1 root tty       4, 51 janv. 28  2018 /dev/tty51
crw--w---- 1 root tty       4, 52 janv. 28  2018 /dev/tty52
crw--w---- 1 root tty       4, 53 janv. 28  2018 /dev/tty53
crw--w---- 1 root tty       4, 54 janv. 28  2018 /dev/tty54
crw--w---- 1 root tty       4, 55 janv. 28  2018 /dev/tty55
crw--w---- 1 root tty       4, 56 janv. 28  2018 /dev/tty56
crw--w---- 1 root tty       4, 57 janv. 28  2018 /dev/tty57
crw--w---- 1 root tty       4, 58 janv. 28  2018 /dev/tty58
crw--w---- 1 root tty       4, 59 janv. 28  2018 /dev/tty59
crw--w---- 1 root tty       4,  6 janv. 28  2018 /dev/tty6
crw--w---- 1 root tty       4, 60 janv. 28  2018 /dev/tty60
crw--w---- 1 root tty       4, 61 janv. 28  2018 /dev/tty61
crw--w---- 1 root tty       4, 62 janv. 28  2018 /dev/tty62
crw--w---- 1 root tty       4, 63 janv. 28  2018 /dev/tty63
crw--w---- 1 root tty       4,  7 sept. 12 15:15 /dev/tty7
crw--w---- 1 root tty       4,  8 janv. 28  2018 /dev/tty8
crw--w---- 1 root tty       4,  9 janv. 28  2018 /dev/tty9
crw-rw---- 1 root dialout 204, 64 janv. 28  2018 /dev/ttyAMA0
crw------- 1 root root      5,  3 janv. 28  2018 /dev/ttyprintk
crw-rw---- 1 root dialout   4, 64 janv. 28  2018 /dev/ttyS0

Normalement le 4g-HAT se connecte en GPIO sur le port ttyS0
Minicom me sort un message d'erreur

pi@raspberry:~$ minicom
minicom: ne peut ouvrir /dev/ttyS0: Permission denied

Et si je force en sudo, ça s'ouvre mais aucune commande AT répond

Bienvenue avec minicom 2.7.1

OPTIONS: I18n 
Compilé le Aug 13 2017, 15:25:34.
Port /dev/ttyS0

Tapez CTRL-A Z pour voir l'aide concernant les touches spéciales

AT
AT
AT
AT+cfun?
at+csq

Avant que qulqu'un pose la question : oui la carte est connectée et sous tension, mais je me demande si Ubuntu ne préconfigure pas par défaut les pins GPIO, se qui pourrait entrer en conflit avec ceux de la carte. Connaissez vous dans quel fichier une telle conf par défaut pourrait être ? Si elle existe ?

J'en profite pour une seconde question : je n'arrive pas à installer la bibliothèque pysftp, ubuntu ne la connait pas (donc atp-get install... on oubli) et a une installation de pipi foireuse que je ne peux pas résoudre ; j'ai essayé de réinstaller le paquet plusieurs fois (donc une installation par pip ou pip3 est impossible)

pi@raspberry:~$ sudo apt-get install python-pip
Lecture des listes de paquets... Fait
Construction de l'arbre des dépendances       
Lecture des informations d'état... Fait
python-pip est déjà la version la plus récente (9.0.1-2.3~ubuntu1.18.04.1).
0 mis à jour, 0 nouvellement installés, 0 à enlever et 1 non mis à jour.
pi@raspberry:~$ pip --version
pip 19.2.3 from /home/pi/.local/lib/python3.6/site-packages/pip (python 3.6)
pi@raspberry:~$ pip install pysftp
Looking in indexes: https://pypi.org/simple, https://www.piwheels.org/simple
Collecting pysftp
  Using cached https://www.piwheels.org/simple/pysftp/pysftp-0.2.9-py3-none-any.whl
Collecting paramiko>=1.17 (from pysftp)
  Using cached https://files.pythonhosted.org/packages/4b/80/74dace9e48b0ef923633dfb5e48798f58a168e4734bca8ecfaf839ba051a/paramiko-2.6.0-py2.py3-none-any.whl
Collecting pynacl>=1.0.1 (from paramiko>=1.17->pysftp)
  Using cached https://files.pythonhosted.org/packages/61/ab/2ac6dea8489fa713e2b4c6c5b549cc962dd4a842b5998d9e80cf8440b7cd/PyNaCl-1.3.0.tar.gz
  Installing build dependencies ... done
  Getting requirements to build wheel ... done
ERROR: Exception:
Traceback (most recent call last):
  File "/home/pi/.local/lib/python3.6/site-packages/pip/_internal/cli/base_command.py", line 188, in main
    status = self.run(options, args)
  File "/home/pi/.local/lib/python3.6/site-packages/pip/_internal/commands/install.py", line 345, in run
    resolver.resolve(requirement_set)
  File "/home/pi/.local/lib/python3.6/site-packages/pip/_internal/legacy_resolve.py", line 196, in resolve
    self._resolve_one(requirement_set, req)
  File "/home/pi/.local/lib/python3.6/site-packages/pip/_internal/legacy_resolve.py", line 359, in _resolve_one
    abstract_dist = self._get_abstract_dist_for(req_to_install)
  File "/home/pi/.local/lib/python3.6/site-packages/pip/_internal/legacy_resolve.py", line 307, in _get_abstract_dist_for
    self.require_hashes
  File "/home/pi/.local/lib/python3.6/site-packages/pip/_internal/operations/prepare.py", line 215, in prepare_linked_requirement
    finder, self.build_isolation,
  File "/home/pi/.local/lib/python3.6/site-packages/pip/_internal/distributions/source.py", line 70, in prepare_distribution_metadata
    reqs = self.req.pep517_backend.get_requires_for_build_wheel()
  File "/home/pi/.local/lib/python3.6/site-packages/pip/_vendor/pep517/wrappers.py", line 71, in get_requires_for_build_wheel
    'config_settings': config_settings
  File "/home/pi/.local/lib/python3.6/site-packages/pip/_vendor/pep517/wrappers.py", line 162, in _call_hook
    raise BackendUnavailable
pip._vendor.pep517.wrappers.BackendUnavailable

pi@raspberry:~$ sudo apt-get install python3-pip
Lecture des listes de paquets... Fait
Construction de l'arbre des dépendances       
Lecture des informations d'état... Fait
python3-pip est déjà la version la plus récente (9.0.1-2.3~ubuntu1.18.04.1).
0 mis à jour, 0 nouvellement installés, 0 à enlever et 1 non mis à jour.
pi@raspberry:~$ pip3 --version
pip 19.2.3 from /home/pi/.local/lib/python3.6/site-packages/pip (python 3.n 3.6)
pi@raspberry:~$ pip3 install pysftp
Looking in indexes: https://pypi.org/simple, https://www.piwheels.org/simple
Collecting pysftp
  Using cached https://www.piwheels.org/simple/pysftp/pysftp-0.2.9-py3-none-any.whl
Collecting paramiko>=1.17 (from pysftp)
  Using cached https://files.pythonhosted.org/packages/4b/80/74dace9e48b0ef923633dfb5e48798f58a168e4734bca8ecfaf839ba051a/paramiko-2.6.0-py2.py3-none-any.whl
Collecting bcrypt>=3.1.3 (from paramiko>=1.17->pysftp)
  Downloading https://files.pythonhosted.org/packages/fa/aa/025a3ab62469b5167bc397837c9ffc486c42a97ef12ceaa6699d8f5a5416/bcrypt-3.1.7.tar.gz (42kB)
     |████████████████████████████████| 51kB 533kB/s 
  Installing build dependencies ... done
  Getting requirements to build wheel ... done
ERROR: Exception:
Traceback (most recent call last):
  File "/home/pi/.local/lib/python3.6/site-packages/pip/_internal/cli/base_command.py", line 188, in main
    status = self.run(options, args)
  File "/home/pi/.local/lib/python3.6/site-packages/pip/_internal/commands/install.py", line 345, in run
    resolver.resolve(requirement_set)
  File "/home/pi/.local/lib/python3.6/site-packages/pip/_internal/legacy_resolve.py", line 196, in resolve
    self._resolve_one(requirement_set, req)
  File "/home/pi/.local/lib/python3.6/site-packages/pip/_internal/legacy_resolve.py", line 359, in _resolve_one
    abstract_dist = self._get_abstract_dist_for(req_to_install)
  File "/home/pi/.local/lib/python3.6/site-packages/pip/_internal/legacy_resolve.py", line 307, in _get_abstract_dist_for
    self.require_hashes
  File "/home/pi/.local/lib/python3.6/site-packages/pip/_internal/operations/prepare.py", line 215, in prepare_linked_requirement
    finder, self.build_isolation,
  File "/home/pi/.local/lib/python3.6/site-packages/pip/_internal/distributions/source.py", line 70, in prepare_distribution_metadata
    reqs = self.req.pep517_backend.get_requires_for_build_wheel()
  File "/home/pi/.local/lib/python3.6/site-packages/pip/_vendor/pep517/wrappers.py", line 71, in get_requires_for_build_wheel
    'config_settings': config_settings
  File "/home/pi/.local/lib/python3.6/site-packages/pip/_vendor/pep517/wrappers.py", line 162, in _call_hook
    raise BackendUnavailable
pip._vendor.pep517.wrappers.BackendUnavaila

Remarque, j'ai essayé pas mal de solution qui pour certain on résolue leur problème, mais rien n'y a fait. sad


Merci à vous tous pour votre aide.

Bonne journée à vous.

Hors ligne

#7 Le 19/09/2019, à 22:09

bipbip38

Re : linux/usb-wwan.h manquant ?!?

Petit UP!

personne pour me sauver la vie?

Hors ligne